## mmm-mode 0.5.10

=== Makefile ===
# Using srcdir, builddir, and VPATH enables separate build dir with
# $ make -f $srcdir
srcdir := $(dir $(MAKEFILE_LIST))
VPATH = $(srcdir)
builddir = .

EMACS ?= emacs
MAKEINFO = makeinfo
MAKEINFOFLAGS =

ELFILES = mmm-auto.el mmm-class.el mmm-cmds.el mmm-compat.el mmm-cweb.el \
          mmm-defaults.el mmm-erb.el mmm-mason.el mmm-mode.el mmm-myghty.el \
          mmm-noweb.el mmm-region.el mmm-rpm.el mmm-sample.el mmm-univ.el \
          mmm-utils.el mmm-vars.el
ELCFILES = $(ELFILES:.el=.elc)
TESTS = highlighting.el html-erb.el

all: mmm.info $(ELCFILES)

mmm.info: mmm.texi
	$(MAKEINFO) $(MAKEINFOFLAGS) -o $@ $^

mmm.html: mmm.texi
	$(MAKEINFO) --html $(MAKEINFOFLAGS) -o $@ $^

docs: html info
html: mmm.html
info: mmm.info

%.elc: %.el
	$(EMACS) --batch -Q -L $(builddir) -L $(srcdir) \
	  --eval '(setq byte-compile-dest-file-function (lambda (_) "$@"))' \
	  -f batch-byte-compile '$<'

check: all
	$(EMACS) --batch -Q -L $(builddir) -L $(srcdir) -L $(srcdir)/tests \
	  $(addprefix -l ,$(TESTS)) -f ert-run-tests-batch-and-exit

clean-lisp:
	$(RM) -f $(ELCFILES)

clean-info:
	$(RM) -f mmm.info

clean-html:
	$(RM) -rf mmm.html

clean: clean-lisp clean-info clean-html

.PHONY: check clean clean-html clean-info clean-lisp docs html info

## mmm-mode 0.5.1

=== debian/changelog ===
mmm-mode (0.5.1-2) unstable; urgency=low

  * changed to 3.0 quilt source format
  * updated control and watch files
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sun, 15 Sep 2013 23:14:55 +1000

mmm-mode (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Tue, 26 Mar 2013 10:09:51 +1000

mmm-mode (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 28 Feb 2013 11:57:46 +1000

mmm-mode (0.4.8-8) unstable; urgency=low

  * pulled recent fixes from upstream git

 -- Alexander Zangerl <az@debian.org>  Fri, 14 Sep 2012 12:24:25 +1000

mmm-mode (0.4.8-7) unstable; urgency=low

  * fixed face defaults (closes: #672169)
  * don't load regexp-opt unless needed (closes: #672168)
  * lifted standards version, fixed most lintian complaints
  * incorporated emacs23 fixes from https://github.com/purcell/mmm-mode/

 -- Alexander Zangerl <az@debian.org>  Thu, 10 May 2012 23:06:25 +1000

mmm-mode (0.4.8-6) unstable; urgency=low

  * updated watch file, lifted standards version, added dpatch to build depends
  * removed compatibility code for emacs < 19.29,
    finally silencing the warnings reported in #506565 and #487926

 -- Alexander Zangerl <az@debian.org>  Sun, 23 Nov 2008 12:11:59 +1000

mmm-mode (0.4.8-5) unstable; urgency=low

  * lifted standards version
  * updated dependencies to support emacs22 (closes: #433691)

 -- Alexander Zangerl <az@debian.org>  Tue,  4 Mar 2008 09:23:43 +1000

mmm-mode (0.4.8-4) unstable; urgency=low

  * updated watch file, lifted standards version

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:21:38 +1000

mmm-mode (0.4.8-3) unstable; urgency=low

  * The "But I'm Not Dead Yet!" Release
  * New maintainer

 -- Alexander Zangerl <az@debian.org>  Wed, 23 Nov 2005 21:24:00 +1000

mmm-mode (0.4.8-2) unstable; urgency=low

  * QA upload.
  * Include emacs-snapshot in alternative dependencies.  Closes: #323392.
  * debian/copyright:
    - Remove outdated (and no longer required) list of changes.
    - Update FSF address.
  * debian/rules: Use dh_install.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Thu, 15 Sep 2005 16:10:10 +0200

mmm-mode (0.4.8-1) unstable; urgency=low

  * QA upload.
  * New upstream version.  (Closes: #281659, #214681)
    - Use virgin upstream tarball.  (Closes: #96185)
  * Remove the compatibility code for three-argument regexp-opt in XEmacs,
    since XEmacs has now reverted back to two arguments.
  * Provide a match-string-no-properties alias for XEmacs.
  * Use installation and removal code similar to other mode packages.
    - Install *.elc files into a subdirectory.  (Closes: #119260)
    - Use -no-site-file or --no-site-file.  (Closes: #218087)
  * Depend on emacs21 instead of emacs20.  (Closes: #232775)
  * Add a versioned dependency on xemacs21-basesupport to get a
    two-argument regexp-opt.
  * Update standards-version to 3.6.2 (no changes required).
  * Update debhelper level to V4 and add versioned dependency.

 -- Russ Allbery <rra@stanford.edu>  Wed,  3 Aug 2005 00:08:23 -0700

mmm-mode (0.4.7-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/copyright: mention location of license

 -- Andrew Pollock <apollock@debian.org>  Tue,  9 Nov 2004 23:24:05 +1100

mmm-mode (0.4.7-2) unstable; urgency=low

  * Automatically require mmm-auto, but don't do anything else. (closes: bug#101475)

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  7 Aug 2001 16:46:02 -0400

mmm-mode (0.4.7-1) unstable; urgency=low

  * Initial debianization.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 22 Apr 2001 09:56:23 -0400

=== debian/control ===
Source: mmm-mode
Maintainer: Alexander Zangerl <az@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.4

Package: mmm-mode
Section: editors
Priority: optional
Architecture: all
Depends: emacs23 | emacsen | emacs-snapshot | xemacs21-basesupport (>= 2003.11.13-1), dpkg (>= 1.15.4) | install-info,  ${misc:Depends}
Homepage: http://mmm-mode.sourceforge.net/
Description: Multiple Major Mode for Emacs
 MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
 (hence the name) to coexist in one buffer.  It is particularly
 well-suited to editing embedded code, such as Mason server-side Perl,
 or HTML output in CGI scripts.

=== debian/rules ===
#!/usr/bin/make -f

build-arch: build

build-indep: build

build: 

clean:	
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install *.el usr/share/emacs/site-lisp/mmm-mode

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs AUTHORS FAQ NEWS README README.Mason TODO
	dh_installemacsen
	dh_installinfo mmm.info*
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/mmm-mode/mmm-mode-(.+)\.tar\.gz

## mmm-mode 0.5.2

=== debian/changelog ===
mmm-mode (0.5.2-2) unstable; urgency=low

  * lifted standards version, fixed missing build-dependency on texinfo
  

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 22:17:47 +1000

mmm-mode (0.5.2-1) unstable; urgency=low

  * New upstream release
  * updated watch file, updated standards version, revised rules slightly

 -- Alexander Zangerl <az@debian.org>  Sun, 25 Jan 2015 17:22:04 +1000

mmm-mode (0.5.1-3) unstable; urgency=low

  * pulled in recent changes from upstream git

 -- Alexander Zangerl <az@debian.org>  Sun, 30 Mar 2014 15:42:15 +1000

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,17 @@
 build-indep: build
 
 build: 
+	echo "@set UPDATED 17 January 2015" > version.texi
+	echo "@set UPDATED-MONTH January 2015" >> version.texi
+	echo "@set EDITION 0.5.2" >> version.texi
+	echo "@set VERSION 0.5.2" >> version.texi
+	makeinfo mmm.texinfo
 
 clean:	
 	dh_testdir
 	dh_testroot
 	dh_clean
+	rm -f version.texi mmm.info
 
 install: build
 	dh_testdir

## mmm-mode 0.5.4

=== debian/changelog ===
mmm-mode (0.5.4-3) unstable; urgency=low

  * lifted standards version, debhelper compat level
  * incorporated upstream's git changes up to 3fb296
	
 -- Alexander Zangerl <az@debian.org>  Sun, 14 Jan 2018 13:16:56 +1000

mmm-mode (0.5.4-2) unstable; urgency=low

  * fixed missing compat declaration for emacsen-package-install
	  (closes: #855607)

 -- Alexander Zangerl <az@debian.org>  Sun, 12 Mar 2017 13:23:20 +1000

mmm-mode (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sat, 19 Sep 2015 11:21:58 +1000

=== debian/control ===
Source: mmm-mode
Maintainer: Alexander Zangerl <az@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 9), texinfo
Standards-Version: 4.1.3.0

Package: mmm-mode
Section: editors
Priority: optional
Architecture: all
Depends: emacs24 | emacsen | emacs-snapshot | xemacs21-basesupport (>= 2003.11.13-1), dpkg (>= 1.15.4) | install-info, emacsen-common (>= 2.0.8), ${misc:Depends}
Homepage: http://mmm-mode.sourceforge.net/
Description: Multiple Major Mode for Emacs
 MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
 (hence the name) to coexist in one buffer.  It is particularly
 well-suited to editing embedded code, such as Mason server-side Perl,
 or HTML output in CGI scripts.

## mmm-mode 0.5.6

=== debian/changelog ===
mmm-mode (0.5.6-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 26 Apr 2018 10:55:00 +1000

mmm-mode (0.5.5-3) unstable; urgency=medium

  * XEmacs support was restored thanks to a patch by upstream,
    and by shipping and installing cl-lib.el on xemacs.

 -- Alexander Zangerl <az@debian.org>  Sat, 07 Apr 2018 18:53:33 +1000

mmm-mode (0.5.5-2) unstable; urgency=medium

  * Dropping XEmacs support until upstream comes up with a decision
    re XEmacs, which doesn't have a compatible syntax.el
    (closes: #893930)
  * updated copyright entries (closes: #893365)
  * set homepage to github repository

 -- Alexander Zangerl <az@debian.org>  Thu, 29 Mar 2018 10:07:35 +1000

mmm-mode (0.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sun, 18 Mar 2018 17:00:11 +1000

## mmm-mode 0.5.7

=== debian/changelog ===
mmm-mode (0.5.7-4) unstable; urgency=medium

  * fixed latin-vs-utf-8 encoding issue in texinfo doc (closes: #952258)

 -- Alexander Zangerl <az@debian.org>  Tue, 25 Feb 2020 08:44:13 +1000

mmm-mode (0.5.7-3) unstable; urgency=critical

  * fix infinite loop when bytecompiling on emacs 26 (closes: #917072)

 -- Alexander Zangerl <az@debian.org>  Sun, 23 Dec 2018 14:59:10 +1000

mmm-mode (0.5.7-2) unstable; urgency=high

  * fix function and file conflicts between emacs and xemacs
    with respect to cl-lib.el and declare-function
    (closes: #909382, #908743)
  * adjusted emacsen-install to handle flavourless bland new way of
	  doing things in emacs 25
  * updated mmm-compat slightly to make it survive emacs 25

 -- Alexander Zangerl <az@debian.org>  Sun, 23 Sep 2018 13:35:23 +1000

mmm-mode (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 26 Jul 2018 08:37:44 +1000

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 
 build-indep: build
 
+# date from git tag --format '%(refname) %(authordate)' on upstream's repo
 build: 
-	echo "@set UPDATED 17 January 2015" > version.texi
-	echo "@set UPDATED-MONTH January 2015" >> version.texi
-	echo "@set EDITION 0.5.2" >> version.texi
-	echo "@set VERSION 0.5.2" >> version.texi
+	echo "@set UPDATED 23 Mar 2018" > version.texi
+	echo "@set UPDATED-MONTH March 2018" >> version.texi
+	echo "@set EDITION 0.5.6" >> version.texi
+	echo "@set VERSION 0.5.6" >> version.texi
 	makeinfo mmm.texinfo
 
 clean:	
@@ -22,7 +23,8 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	dh_install *.el usr/share/emacs/site-lisp/mmm-mode
+	dh_install
+
 
 binary-indep: build install
 	dh_testdir

## mmm-mode 0.5.8

=== debian/changelog ===
mmm-mode (0.5.8-4) unstable; urgency=medium

  * updated control (closes: #1013845)
  
 -- Alexander Zangerl <az@debian.org>  Sun, 03 Jul 2022 09:22:53 +1000

mmm-mode (0.5.8-3) unstable; urgency=medium

  * fix the xemacs upgrade case that fixing 985874 broke (closes: #1008253)

 -- Alexander Zangerl <az@debian.org>  Sun, 27 Mar 2022 09:56:26 +1000

mmm-mode (0.5.8-2) unstable; urgency=high

  * fixed xemacs removal (closes: #985874)

 -- Alexander Zangerl <az@debian.org>  Sat, 27 Mar 2021 17:25:21 +1000

mmm-mode (0.5.8-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Nov 2020 13:58:49 +1000

=== debian/control ===
Source: mmm-mode
Maintainer: Alexander Zangerl <az@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 10), texinfo
Standards-Version: 4.1.3.0

Package: mmm-mode
Section: editors
Priority: optional
Architecture: all
Depends: emacs24 | emacsen | emacs-snapshot | xemacs21, emacsen-common (>= 2.0.8), ${misc:Depends}
Homepage: https://github.com/purcell/mmm-mode
Description: Multiple Major Mode for Emacs
 MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
 (hence the name) to coexist in one buffer.  It is particularly
 well-suited to editing embedded code, such as Mason server-side Perl,
 or HTML output in CGI scripts.

## mmm-mode 0.5.10

=== debian/changelog ===
mmm-mode (0.5.10-1) unstable; urgency=medium

  * New upstream release.

 -- Alexander Zangerl <az@debian.org>  Mon, 02 Oct 2023 16:35:44 +0200

mmm-mode (0.5.9-3) unstable; urgency=high

  * xemacs conflict removed, NEWS updated (closes: #1052166)

 -- Alexander Zangerl <az@debian.org>  Fri, 22 Sep 2023 17:04:36 +1000

mmm-mode (0.5.9-2) unstable; urgency=medium

  * no more xemacs support, i can't make it compile (closes: #1052040)

 -- Alexander Zangerl <az@debian.org>  Mon, 18 Sep 2023 09:04:40 +1000

mmm-mode (0.5.9-1) unstable; urgency=high

  * New upstream release (closes: #1051369, #1051331)
  * note that xemacs support is dodgy and YMMV; consequentially
    i do plan to mark mmm-mode as conflicting with xemacs soon. 
    
 -- Alexander Zangerl <az@debian.org>  Sat, 16 Sep 2023 13:09:04 +1000

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # date from git tag --format '%(refname) %(authordate)' on upstream's repo
 build: 
-	echo "@set UPDATED 23 Mar 2018" > version.texi
-	echo "@set UPDATED-MONTH March 2018" >> version.texi
-	echo "@set EDITION 0.5.6" >> version.texi
-	echo "@set VERSION 0.5.6" >> version.texi
-	makeinfo mmm.texinfo
+	echo "@set UPDATED 3 Nov 2022" > version.texi
+	echo "@set UPDATED-MONTH Nov 2022" >> version.texi
+	echo "@set EDITION 0.5.9" >> version.texi
+	echo "@set VERSION 0.5.9" >> version.texi
+	makeinfo mmm.texi
 
 clean:	
 	dh_testdir

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mmm-mode-$1\.tar\.gz/ \
  https://github.com/purcell/mmm-mode/tags .*/v?(\d\S*)\.tar\.gz

## mmm-mode 0.5.11

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
           mmm-noweb.el mmm-region.el mmm-rpm.el mmm-sample.el mmm-univ.el \
           mmm-utils.el mmm-vars.el
 ELCFILES = $(ELFILES:.el=.elc)
-TESTS = highlighting.el html-erb.el
+TESTS = highlighting.el html-erb.el variables.el
 
 all: mmm.info $(ELCFILES)

=== debian/changelog ===
mmm-mode (0.5.11-1) unstable; urgency=medium

  * New upstream release (closes: #1099507)

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Aug 2025 09:22:07 +1000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Section: editors
 Priority: optional
 Architecture: all
-Depends: emacs24 | emacsen | emacs-snapshot | xemacs21, emacsen-common (>= 2.0.8), ${misc:Depends}
+Depends: emacs24 | emacsen | emacs-snapshot, emacsen-common (>= 2.0.8), ${misc:Depends}
 Homepage: https://github.com/purcell/mmm-mode
 Description: Multiple Major Mode for Emacs
  MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
